#ifndef BSTATUSFORM_H
#define BSTATUSFORM_H
#include <QDialog>
#include "bstatusItem.h"
#include <QJsonArray>

namespace Ui {
class BStatusForm;
}

class BStatusForm : public QDialog
{
    Q_OBJECT

public:
    explicit BStatusForm(QWidget *parent = 0);
    ~BStatusForm();

private:
    Ui::BStatusForm *ui;

    QList<BStatusItem*> m_items;

public slots:
    void onInitChannelsData(QStringList list);
    void onSetStoreOperatingStatusFinsh(QString channel);
    void onStoreStatusChanged(QJsonArray array);
private slots:
    void on_btsBtnClose_clicked();
};

#endif // BSTATUSFORM_H
